#!/usr/bin/env bash
set -e
source $(dirname $0)/setup-env.sh

if [ -x "$(command -v autoconf)" ]
then
    if [ "$(autoconf --version | head -n 1 | awk '{ print $4 }')" == "2.69" ]
    then
        exit 0
    else
        echo "You have autoconf installed, but it is not version 2.69, which is required by libstdc++. Thus, we must build autoconf from source."
        exit 1
    fi
else
exit 1
fi
